#include <stdio.h>
#include "output.h"

size_t cdecl__advance_(char **buf, size_t *n, size_t amount)
{
	if (amount >= *n) {
		*n   = 0;
		*buf = 0;
	} else {
		*buf += amount;
		*n   -= amount;
	}

	return amount;
}

size_t cdecl__advance(char **buf, size_t *n, size_t amount)
{
	size_t ret, rc;

	if (!amount)
		return 0;

	ret = cdecl__advance_(buf, n, amount);
	rc = snprintf(*buf, *n, " ");
	return ret + cdecl__advance_(buf, n, rc);
}
